/**
 * Objekt für die Übersetzung der Validierungsmeldung des Jobmarkets
 */
var DatecTranslate = {
  	language: 'de',
  	/**
  	 * Setzt den Länder Code
  	 * @param string langs
  	 *		Länder Code
  	 */
  	setLang: function(langCode){
  		DatecTranslate.language = langCode;
  		console.log(DatecTranslate.language);
  	},
  	/**
  	 * Gibt einen String in der gewünschten Sprache zurück
  	 * @param string key
  	 *		Key des Strings der zurückgegeben werden soll
  	 * @return string
  	 *		Gibt den entsprechenden String des angegebenen Keys zurück
  	 */
  	getLanguageString: function(key) {
  		//Zuweisen der Sprache
  		langkey = DatecTranslate.language;
  		//Prüfen ob die Sprache unterstützt wird 
  		if(lang.hasOwnProperty(langkey)) {
  			//Prüfen ob es den Key gibt
  			if(lang[langkey].hasOwnProperty(key)) {
  				//Rückgabe des entsprechenden Strings
  				return lang[langkey][key];
  			} else {
  				return "String key not found";
  			}
  		} else {
  			DatecTranslate.setLang("de");
			return DatecTranslate.getLanguageString(key);
  		}
  	}
}